Page MenuHomePhabricator

A second scroll bar appears when loading images
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/1010

Steps to reproduce

  • Open images in Media Viewer, such as this one
  • While the image loads, a second scroll bar appears next to the browser scrollbar (see screenshot below)
  • The scroll bar disappears when the image is loaded

Expected behavior

There should be no secondscroll bar, only the browser scroll bar.

Actual behavior

A secondscroll bar appears while the image loads (the status bar message says ‘transferring data from upload.wikimedia.org). I can reproduce this consistently on Chrome, Firefox and Safari on Mac OS (Yosemite).

Screenshot

Related Bugs

Related Stories

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 7:34 PM
Lukeyhano added a subscriber: Lukeyhano.EditedDec 30 2014, 4:54 PM

I have recreated this bug and it happened to me as well. I opened the same image as yours. I also found that if you refresh, it'll go to the home page, back the the photo with the second scroll bar. I used your link, but if you close the photo and reopen it (without the link), it'll appear fine.

gerritbot added a subscriber: gerritbot.

Change 185963 had a related patch set uploaded (by Phoenix303):
Removed the second scrollbar appeared while loading images

https://gerrit.wikimedia.org/r/185963

Patch-For-Review

Tgr added a subscriber: Tgr.Jan 21 2015, 1:58 AM

The patch suppresses the scrollbar (thanks Phoenix303!), but it was just the symptom of some deeper breakage - the image visibly changes dimensions when it is done loading. Something about the size calculation is off.

Change 185963 merged by jenkins-bot:
Removed the second scrollbar appeared while loading images

https://gerrit.wikimedia.org/r/185963

Tgr set Security to None.
Tgr added a comment.Jan 21 2015, 2:12 AM
In T77889#988160, @Tgr wrote:

The patch suppresses the scrollbar (thanks Phoenix303!), but it was just the symptom of some deeper breakage - the image visibly changes dimensions when it is done loading. Something about the size calculation is off.

Created T87295 for that.

Tgr closed this task as Resolved.Jan 21 2015, 2:12 AM
Tgr claimed this task.